/*-
 * ~~~~~~licensing~~~~~~
 * datasources-initializer
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.runtime.core.initializer.datasources;

import javax.sql.DataSource;

public class DataSourcesCollector {

	protected DataSource dsCache;
	protected DataSource dsStorage;
	
	protected void notifyOnComplete() {
		if ((this.dsCache != null) && (this.dsStorage != null))
			DataSourcesInitializer.collectorCompleted();
	}
	
	public void setDsCache(DataSource dsCache) {
		this.dsCache = dsCache;
		notifyOnComplete();
	}
	public void setDsStorage(DataSource dsStorage) {
		this.dsStorage = dsStorage;
		notifyOnComplete();
	}
	
}
